<html>
    <head>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
        <link href="https://fonts.googleapis.com/css?family=Montserrat:400,500,700,800" rel="stylesheet">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <script src="https://www.gstatic.com/firebasejs/6.0.1/firebase.js"></script>
        <link href="https://fonts.googleapis.com/css?family=Montserrat:400,500,700,800" rel="stylesheet">
        <link rel="icon" href="icons/icon-16x16.png" type="image/gif" sizes="16x16">
        <meta charset="utf-8">
        <script>
            var firebaseConfig = {
                apiKey: "AIzaSyDCfMXYsFn_9DVYNwKmuKxASbBb7KIimgA",
                authDomain: "theflyingmangobutterflies.firebaseapp.com",
                databaseURL: "https://theflyingmangobutterflies.firebaseio.com",
                projectId: "theflyingmangobutterflies",
                storageBucket: "theflyingmangobutterflies.appspot.com",
                messagingSenderId: "917586757603",
                appId: "1:917586757603:web:d7032957a5a827e1"
            };
            firebase.initializeApp(firebaseConfig);
        </script>
        <style>
            body {
                margin: 0;
            }
            #nav-bar {
                height: 104px;
                width: 100%;
                border-bottom-left-radius: 20px;
                border-bottom-right-radius: 20px;
                background: linear-gradient(40.54deg, rgb(248, 165, 69), rgb(252, 102, 56));;
            }
            #nav-text {
                position: absolute;
                height: 30px;
                width: 30vw;
                color: #000;
                font-family: Montserrat;
                font-size: 25px;
                font-weight: 700;
                line-height: 30px;
                text-align: center;
                margin-left: 35vw;
                margin-top:40px;
            }
            .centerer {
                display: flex;
                justify-content: center;
                align-items: center;
            }
            .fa-chevron-left {
                position: fixed;
                font-size: 25px;
                margin-top: 45.1px;
                margin-left: 39px;
            }
            #stats {
                margin-top: 20.5px;
                height: 143px;
                width: 143px;
                border-radius: 10px;
                background-color: rgba(51,153,255,0.7);
                /* text-align: center; */
                border: 0;
                padding: 0;
                display: flex;
                justify-content: center;
                align-items: center;
                outline: none !important;
            }
            #niit {
                margin-top: 20.5px;
                height: 143px;
                width: 143px;
                border-radius: 10px;
                background-color: rgba(255,51,102,0.7);
                /* text-align: center; */
                border: 0;
                padding: 0;
                display: flex;
                justify-content: center;
                align-items: center;
                outline: none !important;
            }
            
            #shuud {
                margin-top: 29px;
                height: 143px;
                width: 143px;
                border-radius: 10px;
                background-color: rgba(243,202,62,0.7);
                /* text-align: center; */
                border: 0;
                padding: 0;
                display: flex;
                justify-content: center;
                align-items: center;
                outline: none !important;
                opacity: 0.5;
            }

            #uy {
                margin-top: 29px;
                height: 143px;
                width: 143px;
                border-radius: 10px;
                /* text-align: center; */
                border: 0;
                padding: 0;
                display: flex;
                justify-content: center;
                align-items: center;
                background-color: rgba(42,201,64,0.7);
                outline: none !important;
                opacity: 0.5;
            }

            .tmp3 {
                margin: 0;
                color: #000;
                font-family: Montserrat;
                font-size: 25px;
                margin-right: 7px;
            }
            #tmp4 {
                margin: 0;
                color: #000;
                font-family: Montserrat;
                font-size: 25px;
            }
            button{
                display: flex;
                flex-direction: column;
            }
            .centerer{
                display: flex;
                justify-content: space-around;
            }
            #info {
                margin: 30px;
                display: flex;
                flex-wrap: wrap;
                justify-content: space-between;
                align-content: space-between;
            }
        </style>
    </head>
    <body>
        <div id="nav-bar">
            <div id="nav-text">Статистик</div>
            <i onclick="back_icon()" class="fa fa-chevron-left" aria-hidden="true"></i>
        </div>
        <div id="info">
            
                <button onclick="stats()" id="stats">
                    <p class="tmp3" >Таасан</p>
                    <h1 id='taasan_onoo' ></h1>
                </button>
                <button id="niit">
                    <p class="tmp3" >Нийт оноо</p>
                    <h1 id = 'niit_onoo' ></h1>
                </button>
                <button id="shuud">
                    <p class="tmp3" >Шууд таасан</p>
                    <h1>0</h1>
                </button>
                <button id="uy">
                    <p class="tmp3" >Дуусгасан үе</p>
                    <h1>0</h1>
                </button>
        </div>
        <script>
            var DB = firebase.database(), tmp, tmp2;
            DB.ref(`/Users/${localStorage.getItem('username')}/niit_hediig_taasan`).once('value', snapshot => {
                tmp = snapshot.val();
            }).then(() => {
                document.getElementById('taasan_onoo').innerHTML = tmp;
            });
            DB.ref(`/Users/${localStorage.getItem('username')}/niit_onoo`).once('value', snapshot => {
                document.getElementById('niit_onoo').innerHTML = snapshot.val();
            });
            function back_icon() {
                window.history.back();
            }
        </script>
    </body>
</html>